package de.ivu.elect.presentation.stimmzettel.menu;

import javax.annotation.Nullable;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.stimmzettel.StimmzettelStatusuebersichtView;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class StimmzettelStatusuebersichtMenuItem extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  protected boolean isDisabledInternal() {
    return getSelectedGebiet() == null;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Nullable
  @Override
  public String getTargetViewId() {
    return StimmzettelStatusuebersichtView.VIEW_ID;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.STIMMZETTEL_STATUSUEBERSICHT_ANZEIGEN);
  }

  @Override
  public String getLabelKey() {
    return "stimmzettel.statusuebersicht.menu.item";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }
}
